{% extends 'partials/layout.html.twig' %}
{% set color = "White" %}
{% set navbarpos = "absolute" %}


{% block content %}
	
	
		

		<header class="min-h-640px relative flex justify-center overflow-hidden ">

								
						
			{% set movie = 'theme://images/Blob.mov'%}
			<div class="w-full">
												
				<video class=" w-full hidden md:flex  " autoplay loop muted playsinline id="bgVideo" >
					<source src="{{url(movie)}}">
				</video>
				{% set bgimage = 'theme://images/blob_bild.png'%}
				<div class="w-full bg-cover bg-center md:hidden " style="background-image: url('{{url(bgimage)}}'); height: 640px"></div>
				
				<div class=" absolute top-0 left-0 w-full h-full backdrop-grayscale-0 bg-black/50 rounded-xl p-2">
					<div class ="absolute top-1/2 left-1/2 transform -translate-x-1/2 -translate-y-1/2 text-center">
					
						<h2 class=" font-playfair font-normal text-30/40 lg:text-55/65 text-white whitespace-break-spaces w-full text-center ">{{page.header.custom.header|t}}</h2>	
						<br>
						<a title="Läs mer om plattformen Jobtechdev.se " class=" lg:pt-60px font-roboto_slab text-18/26 lg:text-xl hover:underline text-white w-full text-center " href="{{'JOBTECH.URL.ABOUT'|t}}">{{'JOBTECH.CONTENT.ABOUT_PLATFORM'|t}} </a>
					</div>			
										
				</div>
				<button title="bg pause /play" class="absolute left-36 bottom-60px hidden md:flex lg:flex text-white " id="pauseBtn" onclick="videoFunction()">
					<img src="user/themes/jobtechtailwind/assets/pause_icon_white.png" alt="pause/play">										
		
				</button>
			</div>
							
			
		   <script>

				var video = document.getElementById("bgVideo");		
				var btn = document.getElementById("pauseBtn");
			
				function videoFunction() {
				if (video.paused) {
					video.play();
					btn.innerHTML = '<img src="user/themes/jobtechtailwind/assets/pause_icon_white.png">';
				} else {
					video.pause();
					btn.innerHTML = '<img src="user/themes/jobtechtailwind/assets/play_icon.png">';
				}
				}
			</script>
						
			
					
					
		</header>	

		<main id="#main">
				
				<div class="bg-jtd-pink">
					<div >
						{% set p = pages.find(page.header.custom.topcomponent) %}
						{% include('/partials/info_short.html.twig') with {'page': p, 'isUri': true, 'url': page.header.custom.topcomponent} %}
						
					</div>	
					
				</div>
				<div class="mx-auto lg:mx-36">
					
					<h3 class=" font-bold font-roboto_slab text-15/15 tracking-15 mx-3 uppercase my-60px" >{{'JOBTECH.CONTENT.COMP_PROJ'|t}}</h3>
					<div class="grid grid-cols-1 lg:grid-cols-2 gap-60px  my-60px mb-30px mx-3 ">
					
						{% for p in page.header.custom.components %}
							{% set component = pages.find(p.page) %}
							
									
							{% include('/partials/component_short.html.twig') with {'page': component, 'isUri': true, 'url': component.url|e} %}				
					
						
						{% endfor %}
							
					</div>	
					<button class="font-roboto_slab text-xl uppercase mx-3  mt-30px" onclick='window.location="{{'JOBTECH.URL.ALL_COMPONENTS'|t}}?f=Nyhet"'>{{'JOBTECH.CONTENT.ALL_COMPONENTS'|t}} 
						<img class="arrow inline" src="/user/themes/jobtechtailwind/assets/round-arrow-icon.png" alt="">
					</button>				
				</div>
				<div class=" mt-60px">
					{% set p = pages.find(page.header.custom.kpi) %}
			
					
						{% include('/partials/kpibanner.html.twig') with {'page': p, 'isUri': true, 'url': page.header.custom.kpi} %}
						
				</div>
				
				<div class="">
					{% set p = pages.find(page.header.custom.insperation) %}
			
					
						{% include('/partials/short_stories_list.html.twig') with {'page': p, 'isUri': true, 'url': page.header.custom.insperation} %}
					
				</div>
				
					
				<div class="mx-auto lg:mx-36">
									
					<div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-2 gap-x-60px gap-y-0 mx-3">
						<div class="frontpage_news">
							
							<h2 class=" font-roboto_slab text-sm uppercase mt-60px ">{{'JOBTECH.CONTENT.NEWS'|t}}</h2>
							
							<div class="blog_item_list">
							
								{% for p in page.header.custom.news %}
								
									{% set p = pages.find(p.page) %}
									{% include('/partials/news_shortt.html.twig') with {'page': p} %}
								{% endfor %}
								
							</div>
							<div >
								<button class="font-roboto_slab text-xl uppercase  mt-30px" onclick='window.location="{{'JOBTECH.URL.FOOTER_NEWS'|t}}?f=Nyhet"'>{{'JOBTECH.CONTENT.ALL_NEWS'|t}} 
									<img class="arrow inline" src="/user/themes/jobtechtailwind/assets/round-arrow-icon.png" alt="">
								</button>
								
							</div>
						</div>
						<div >
							<h2 class=" font-roboto_slab text-sm uppercase mt-60px lg:mx-3 ">{{'JOBTECH.CONTENT.CALENDAR'|t}}</h2>
							<div class="grid grid-cols-1 md:grid-cols-1  lg:grid-cols-1 xl:grid-cols-2  gap-x-40px gap-y-0 lg:mx-3 ">
							
								{% for event in page.header.custom.events %}
									{% set p = pages.find(event.page) %}
									{% include('/partials/events_shortt.html.twig') with {'page': p} %}
								{% endfor %}
							</div>
							
							
							
						</div>

						
					</div>
							
					
				
				</div>
		</main>
		
	
	
{% endblock %}
